import request from '@/utils/request'

// 查询用药计划列表
export function listMedicationPlan(query) {
  return request({
    url: '/health/medicationPlan/list',
    method: 'get',
    params: query
  })
}

// 查询用药计划详细
export function getMedicationPlan(id) {
  return request({
    url: '/health/medicationPlan/' + id,
    method: 'get'
  })
}

// 新增用药计划
export function addMedicationPlan(data) {
  return request({
    url: '/health/medicationPlan',
    method: 'post',
    data
  })
}

// 修改用药计划
export function updateMedicationPlan(data) {
  return request({
    url: '/health/medicationPlan',
    method: 'put',
    data
  })
}

// 删除用药计划
export function delMedicationPlan(id) {
  return request({
    url: '/health/medicationPlan/' + id,
    method: 'delete'
  })
}

// 暂停用药计划
export function pauseMedicationPlan(id) {
  return request({
    url: '/health/medicationPlan/pause/' + id,
    method: 'put'
  })
}

// 恢复用药计划
export function resumeMedicationPlan(id) {
  return request({
    url: '/health/medicationPlan/resume/' + id,
    method: 'put'
  })
}

// 结束用药计划
export function endMedicationPlan(id) {
  return request({
    url: '/health/medicationPlan/end/' + id,
    method: 'put'
  })
}
